<?php // Include only
if (!defined ('BOOT')) exit ('No bootstrap.  Exiting.');

/*
Wacintaki Poteto Hacks Copyright 2005-2010 Marc "Waccoon" Leveille
http://www.NineChime.com/products/
Version 1.5.2 (1.2.0 compatible) - Last modified 5/9/2010
*/


// HACK_CHECK is defined in boot.php
if (!defined ('HACK_CHECK')) {
	echo 'HACK_ERR';
	exit ();
}
if (HACK_CHECK == 1) {


//
// Debug
//
{
	// Debug only
	$debug       = 0;
	$wactest     = 0; // Beta testers only!

	$maintenance_mode = FALSE;
}


//
// General
//
{
	// Disables banning
	// (0-1) 0=Use ban list, 1=Ignore ban list
	define ('BAN_OVERRIDE', 0);

	// Enable thumbnails on comment screen
	// (0-1) 0=Use pictures, 1=Use thumbnails
	define ('THUMB_COMMENT', 0);

	// Disable applet-native JPEG support.
	// Does not prevent JPEG retouch (saved as PNGs) or JPEG uploads
	// (0-1) 0=Save normally, 1=Save only PNGs
	define ('APPLET_NO_JPEG', 0);

	// Disable approximation of applet size, and use CSS
	// May cause some browsers (exp. Mac) to crash!
	// (0-1) 0=Use hack, 1=Disable, use CSS
	define ('DISABLE_APPLET_AREA_HACK', 0);

	// Reduces e-mail on servers that record traffic, looking for spam
	// (0-1) 0=Off, 1=Reduced e-mail (auto registration), 2=No e-mail
	define ('CUT_EMAIL', 0);

	// Allow (n) extra WIPs at a time per artist.
	// (0-number) 0=None.  To disable WIPs, use control panel.
	define ('ALLOW_ADDITIONAL_WIPS', 1);

	// Disable error reporting for server e-mail (fixes PHP limitation)
	// (0=normal, 1=disabled)
	define ('DISABLE_EMAIL_CONFIRMATION', 0);

	// Force written files to be readable to all server GIDs
	// Use if server runs PHP as owner and web server as other/nobody
	// (0=normal fopen(), 1=force chmod)
	define ('GROUP_READABLE', 0);

	// Date formats
	$datef['post_header'] = 'l, F jS Y, g:i A';
	$datef['admin_edit']  = 'F j, Y, g:i a';
	$datef['chat']        = 'H:i';

	// Disable confirmation dialog when deleting comments
	// (0=ask, 1=do_not_ask)
	define ('DISABLE_CMT_DEL_CONF', 0);

	// Custom alpha color when turning transparrent PNGs into JPEGs, as a hex
	// color value.  Default is white.  This MUST be in the form '#aabbcc', or
	// there will be trouble.  Remove the hash (#) to disable custom colors.
	//
	// define ('ALPHA_BASE', 'FFFFFF'); // Disabled example
	define ('ALPHA_BASE', '#FFFFFF');
}



//
// Member settings
//
{
	// Minimum age to view adult content
	// 18=Default, 0=Disable age check
	define ('MIN_AGE_ADULT', 18);

	// Disable artist killing, may be a "re-registration" issue if 1
	// (0-1) 0=Autokill removes anyone, 1=Non-artists only
	define ('NO_KILL_ARTISTS', 0);

	// Time in days that a member must log in to be considered "active"
	// Default is 180 days (~6 months)
	// Must be more than 0!
	define ('ACTIVE_LOGIN_TIME_DAYS', 180);
}



//
// Language
//
{
	// Always use UTF-8 encoding with english languages.
	/*
		WARNINGs:
		If enabled, members must not register with UTF-8 names!  If a MySQL database exists with "Latin1" as the default charset, corruption will occur when people register names with special characters.  Special characters are permitted ONLY if this hacks feature is off.  Wacintaki is being converted from usernames to UIDs, which will make UTF-8 support possible.  For now, support is mixed and unpredictable.

		Do NOT enable if some members already have usernames with UFT-8 characters!  Wacintaki will not allow any UTF-8 encoded characters to be used in usernames because PaintBBS and ShiPainter will not allow it (this is on my to-do list).
	*/
	// (0-1) 0=Normal, 1=UTF-8
	define ('USE_UTF8_ENGLISH', 0);
}


//
// Security
//
{
	// Allows superadmins to add PHP to notice, banner, and rules
	// USE AT OWN RISK, as this allows sadmins to hack and get owner flags!
	// (0-1) 0=Secure, 1=Enable PHP
	define ('ENABLE_PHP_RESOURCE', 0);

	// Disable DNS host traces.  Drasticly improves performance on
	// some servers.  Try this if you are getting 5-10 second delays
	// for page views.  If disabled, all hosts will be IP address.
	// (0-1) 0=Normal, 1=Disable host traces
	define ('DISABLE_DNS_HOST_LOOKUP', 0);
}


//
// Anti-spam
//
{
	// Max number of links allowed by guests.
	// (0-number) 2=Default, 0=Disable guest links
	define ('MAX_GUEST_LINKS', 2);
}


//
// Cookies
//
{
	/*
	Set this to allow multiple boards to share one cookie, as OP does not natively support multiple boards.

	LEAVE THIS BLANK IF USING A SINGLE BOARD OR IF YOU'RE NOT SURE WHAT TO PUT IN!

	If set to anything other than <blank>, the online list will show which board a member is viewing.

	This hack requires a root-based path.  '/' means the root of the server, so '/folder' is the same as 'http://www.server.com/folder'.  'folder' may do something like 'http://www.server.com/account/oekaki/folder', and won't work.

	NOTE:  Don't use 'http://' or other direct URLs -- many web browsers will flag these cookies as spyware.
	*/

	// PATH
	{
		// Failsafe, or disable (default)
		$cookie_path = '';

		// For the whole server (be careful!) or subdomain (OK).
		// $cookie_path = '/';

		// Shared server that uses accounts (not subdomains).  Folders are CaSe SeNsItIvE!
		// $cookie_path = '/AccountName/';
	}

	// DOMAIN
	{
		// Failsafe, or disable (default)
		$cookie_domain = '';

		// For every subdomain.  Keep the period at the front for maximum compatibility.
		// $cookie_domain = '.myserver.com';
	}
}


//
// header.php
//
{
	// Blinking of Mailbox
	$mb_blink_o = '<blink>';
	$mb_blink_c = '</blink>';

	// Blinking of View Pending
	$vp_blink_o = '';
	$vp_blink_c = '';
}


//
// index.php
//
{
	// Use drop-down menu for page numbers.
	// (0-1) 0=Off, 1=On
	define ('SELECT_PAGES', 0);

	// Use full spacing between avatars (looks good on some templates)
	// (0-1) 0=Off, 1=On
	define ('FULL_AVATARS', 0);

	// Put silly prefixes on member names!
	// Example: 'Super ' = 'Super Waccoon'
	$stupid_name  = '';
	$stupid_guest = '';
}


//
// SMILIES
//
{
	// Use default smilies, or this custom list?
	// (0-1) 0= Defaults, 1=These smilies
	define ('USE_SMILE_HACK', 0);

	if (USE_SMILE_HACK == 1) {
		$smilies_temp = array (
			':)'     => 'smile.gif',
			':|'     => 'neutral.gif',
			':('     => 'sad.gif',
			':D'     => 'big_smile.gif',
			'>:)' => 'smirk.gif',
			'>:D' => 'evil_smile.gif',
			':sneaky:'   => 'sneaky.gif',
			':o'     => 'yikes.gif',
			';)'     => 'wink.gif',
			':/'     => 'hmm.gif',
			':P'     => 'tongue.gif',
			':lol:'      => 'lol.gif',
			':mad:'      => 'mad.gif',
			':rolleyes:' => 'rolleyes.gif',
			':cool:'     => 'cool.gif',
			':duh:'      => 'duh.gif',
			':blush:'    => 'blush.gif',
			':cry:'      => 'cry.gif',
			':boohoo:'   => 'boohoo.gif',
			':crazy:'    => 'crazy.gif',
			':what:'     => 'what.gif',
			':gamer:'    => 'gamer.gif',
			':barf:'     => 'barf.gif' // No comma on last entry
		);

		$smilies_group = array();
		foreach ($smilies_temp as $s_in => $s_out) {
			$smilies_group[htmlspecialchars ($s_in)] = $s_out;
		}
		unset ($smilies_temp);
	}

	// Maximum smilies to be shown on comment pages.
	// Set to 0 to disable smilies on comment pages.
	define ('MAX_SMILIES', 200);
}


// ----------------------------------
// DO NOT EDIT ANYTHING ELSE BELOW!!!
// ----------------------------------
} else {
	// Hacks out of date
	echo 'Update your hack file (search history.txt for &ldquo;hacks.php&rdquo;)<br />(You: 1, Script: '.HACK_CHECK.')';
	exit ();

} // End HACK_CHECK

?>